petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSGetPrevTime

Gets the starting time of the previously completed step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetPrevTime(TS ts,PetscReal *t)

Not Collective

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

t -the previous time

### See Also

TSGetTime(), TSGetSolveTime(), TSGetTimeStep()

### Level

beginner

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex16fwd.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages